<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVHeader.vue
 * @Created_at  : 27/06/2022
 * @Update_at   : 28/06/2022
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/CVHeader.css" scoped/>

<script>
    import Card from "../Card/Card";
    import IconGitlab from "../Icon/IconGitlab";
    import IconLocation from "../Icon/IconLocation";
    import IconEmpty from "../Icon/IconEmpty";
    import IconMail from "../Icon/IconMail";
    import IconPhone from "../Icon/IconPhone";

    export default {
        name: 'CVHeader',

        components: {
            IconPhone,
            IconMail,
            IconEmpty,
            IconLocation,
            IconGitlab,
            Card
        },

        data: () => {
            return {
                component: {
                    design: {
                        class: ['cv-header']
                    }
                },

                icon: {
                    gitlab: {
                        design: {
                            class: ['cv-header-icon-gitlab']
                        }
                    },
                    location: {
                        design: {
                            class: ['cv-header-icon-location']
                        }
                    },
                    contact: {
                        design: {
                            class: ['cv-header-icon-contact']
                        }
                    }
                }
            }
        },

        computed: {
            age: function () {
                // ----------------
                // Vars

                let timestampStartYear = 1970;

                // Dates
                let birthdayDate = new Date('1997/11/24');
                let actualDate = new Date();

                // ----------------
                // Process

                // Get lived time
                let livedTime = new Date(actualDate.getTime() - birthdayDate.getTime());

                return livedTime.getUTCFullYear() - timestampStartYear;
            }
        }
    }
</script>

<template>
    <Card :design="component.design">

        <!-- Profile picture -->
        <img class="cv-header-profile-picture" src="@/assets/images/profile-picture.jpg">

        <!-- Left information -->
        <article class="cv-header-left-information">
            <!-- Me -->
            <div class="cv-header-information cv-header-me">Alexandre Caillot <span class="cv-header-me-age">({{age}} ans)</span></div>
            <div class="cv-header-information cv-header-me-information">Permis B</div>

            <!-- Links -->
            <div class="cv-header-information cv-header-link"><IconGitlab :design="icon.gitlab.design"/> https://gitlab.com/Shiroe_sama</div>
            <div class="cv-header-information cv-header-link"><IconGitlab :design="icon.gitlab.design"/> https://gitlab.com/shiros</div>
        </article>

        <!-- Right information -->
        <article class="cv-header-right-information">
            <!-- Location -->
            <div class="cv-header-information">27 Rue Albert Evaux <IconLocation :design="icon.location.design"/></div>
            <div class="cv-header-information">63200 <span class="cv-header-additional-information">(Riom)</span> <IconEmpty/></div>

            <!-- Contacts -->
            <div class="cv-header-information">06.04.46.91.96 <IconPhone :design="icon.contact.design"/></div>
            <div class="cv-header-information">caillot.alexandre@neuf.fr <IconMail :design="icon.contact.design"/></div>
        </article>

    </Card>
</template>
